> ## Documentation Index
> Fetch the complete documentation index at: https://docs.modelslab.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Training Status

> This endpoint returns the model's current training status and estimated time remaining, if still in progress.

<Note>
  This endpoint only returns information for an already initiated model training.
</Note>

## Request

Make a `POST` request to belowendpoint.
Where `{training_id}` is returned in the response upon initiating the model training using the Create Dreambooth Request endpoint.

```curl curl theme={null}
--request POST 'https://modelslab.com/api/v3/fine_tune_status/{training_id}' \
```

## Body

```json json theme={null}
{ 
    "key": ""
}
```


## OpenAPI

````yaml POST /fine_tune_status/{training_id}
openapi: 3.0.3
info:
  title: ModelsLab Training API
  description: >-
    API endpoints for training LoRA models, managing training processes, and
    handling training-related operations.
  version: 3.0.0
  contact:
    name: ModelsLab Support
    url: https://modelslab.com
servers:
  - url: https://modelslab.com/api/v3
    description: V3 API Endpoints
security: []
tags:
  - name: Training
    description: Operations for training LoRA models and managing training processes
  - name: Model Management
    description: Operations for managing trained models
  - name: Utilities
    description: Utility operations for image processing and preparation
paths:
  /fine_tune_status/{training_id}:
    post:
      tags:
        - Training
      summary: Get Training Status
      description: >-
        Get the status of a training model initiated by the Create Training
        endpoint. This endpoint allows to check the current status of the model
        training and the estimated time remaining for its completion if not
        completed yet.
      operationId: getTrainingStatus
      parameters:
        - name: training_id
          in: path
          required: true
          description: >-
            The unique identifier for the training job returned from the create
            training endpoint
          schema:
            type: string
            example: F5jvdzGnYi
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ApiKeyRequest'
      responses:
        '200':
          description: Training status retrieved successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TrainingStatusResponse'
              example:
                status: success
                messege: model_ready
                data: |-
                  Step:1 Training Started, 5 Steps to go : ETA : 30 minutes
                  Step:2 Training Done, 4 Steps to go : ETA : 15 minutes
                  Step:3 Model Uploading, 3 Steps to go : ETA : 10 minutes
                  Step:4 Model Uploaded, 2 Steps to go : ETA : 5 minutes
                  Model loaded successfully
        '404':
          $ref: '#/components/responses/NotFound'
components:
  schemas:
    ApiKeyRequest:
      type: object
      required:
        - key
      properties:
        key:
          type: string
          description: Your API Key used for request authorization
          example: ''
    TrainingStatusResponse:
      type: object
      properties:
        status:
          type: string
          example: success
        messege:
          type: string
          description: Current training status
        data:
          type: string
          description: Detailed training progress with step-by-step information
    Error:
      type: object
      properties:
        status:
          type: string
          example: error
        messege:
          type: string
          description: Error description
        code:
          type: integer
          description: Error code
  responses:
    NotFound:
      description: Not found - Training ID does not exist
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'

````